---
layout: docs
page_title: client-agent resume - Command
description: >-
  The "client-agent resume" command resumes running the Client Agent when it is paused.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# client-agent resume

Command: `boundary client-agent resume`

The `boundary client-agent resume` command lets you resume the Client Agent when it is paused.
When the Client Agent is paused, it does not intercept DNS requests and you cannot use transparent sessions.
You must resume the Client Agent to use transparent sessions again after you pause it.

## Example

The following command resumes the Client Agent:

```shell-session
$ boundary client-agent resume
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary client-agent resume [options] [args]
```

</CodeBlockConfig>

### Command options

- `client-agent-port=<uint>` - Specifies the port on which the Client Agent listens.
You can also specify the port using the **BOUNDARY_CLIENT_AGENT_LISTENING_PORT** environment variable.

@include 'cmd-option-note.mdx'
